Package be.ehealth.businessconnector.therlink.domain.requests

# Class TherapeuticLinkComplete

java.lang.Object
be.ehealth.businessconnector.therlink.domain.TherapeuticLink
be.ehealth.businessconnector.therlink.domain.requests.TherapeuticLinkComplete

All Implemented Interfaces:
  `Serializable`

public class TherapeuticLinkComplete extends TherapeuticLink
TherapeuticLinkComplete.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class be.ehealth.businessconnector.therlink.domain.TherapeuticLink

  `TherapeuticLink.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherapeuticLinkComplete(Patient patient, HcParty hcParty, String type, List<OperationContext> operationContext)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `List<OperationContext>`
  `getOperationContext()`
  `int`
  `hashCode()`
  `void`
  `setOperationContext(List<OperationContext> operationContext)`
  `String`
  `toString()`

  ### Methods inherited from class be.ehealth.businessconnector.therlink.domain.TherapeuticLink

  `getComment, getEndDate, getHcParty, getPatient, getStartDate, getStatus, getType, setComment, setEndDate, setHcParty, setPatient, setStartDate, setStatus, setType`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TherapeuticLinkComplete

    public TherapeuticLinkComplete(Patient patient, HcParty hcParty, String type, List<OperationContext> operationContext)
    Parameters:
      `patient` -
      `hcParty` -
      `type` -
      `operationContext` -

- ## Method Details

  - ### getOperationContext

    public List<OperationContext> getOperationContext()
    Returns:
      the operationContext

  - ### setOperationContext

    public void setOperationContext(List<OperationContext> operationContext)
    Parameters:
      `operationContext` - the operationContext to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `TherapeuticLink`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `TherapeuticLink`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `TherapeuticLink`